zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] anmolnar opened a new pull request #753: ZOOKEEPER-3204: Reconfig tests are constantly failing on 3.5 after applying Java 11 fix
Date Fri, 04 Jan 2019 10:22:37 GMT
anmolnar opened a new pull request #753: ZOOKEEPER-3204: Reconfig tests are constantly failing
on 3.5 after applying Java 11 fix
URL: https://github.com/apache/zookeeper/pull/753
 
 
   Looks like that Netty 3 also having problems with correctly closing sockets and we keep
getting "Bind failed" exceptions on the 3.5 branch.
   
   In this patch I'm trying to cherry-pick the upgrade-to-Netty4 commit by @ivmaykov from
master branch and it looks like it solves the problem.
   
   I know this change is quite radical at this time of 3.5 release, but here're my 2 cents:
   - Netty 3 is rather old, would be a lot nicer to release 3.5 with a shiny new Netty lib
support which will become stable in this release anyway (Netty is optional in 3.4)
   - After digging the net, I have absolutely no idea how to fix the Java11 binding issue
with Netty 3. I suspect that the lib is as old as nobody bothers with the problem.
   
   Please take your time for a careful review.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message